- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Main::CommandLineImp Class Reference

A private implementation class used by Main::CommandLine. More...

## Public Member Functions
| CommandLineImp (Main::Output &, const G::Arg &arg, const std::string &spec, const std::string &version, const std::string &capabilities)
bool | contains (const std::string &switch_) const
std::string | value (const std::string &switch_) const
G::Arg::size_type | argc () const
bool | hasUsageErrors () const
bool | hasSemanticError (const Configuration &) const
void | showHelp (bool error_stream) const
void | showUsageErrors (bool error_stream) const
void | showSemanticError (const Configuration &cfg, bool error_stream) const
void | logSemanticWarnings (const Configuration &cfg) const
void | showArgcError (bool error_stream) const
void | showNoop (bool error_stream=false) const
void | showError (std::string reason, bool error_stream=true) const
void | showVersion (bool error_stream=false) const
void | showBanner (bool error_stream=false, const std::string &=std::string()) const
void | showCopyright (bool error_stream=false, const std::string &=std::string()) const
void | showCapabilities (bool error_stream=false, const std::string &=std::string()) const
void | showWarranty (bool error_stream=false, const std::string &=std::string()) const
void | showCredit (bool error_stream=false, const std::string &=std::string()) const
void | showTestFeatures (bool error_stream=false, const std::string &=std::string()) const
void | showShortHelp (bool error_stream) const
std::string | semanticError (const Configuration &, bool &) const
void | showUsage (bool e) const
void | showExtraHelp (bool error_stream) const

## Static Public Member Functions
static std::string | switchSpec (bool is_windows)
static std::string | switchSpec_unix ()
static std::string | switchSpec_windows ()

## Detailed Description

A private implementation class used by Main::CommandLine.

Definition at line 42 of file commandline_full.cpp.

## Constructor & Destructor Documentation

Main::CommandLineImp::CommandLineImp | ( | Main::Output & | output,
|  | const G::Arg & | arg,
|  | const std::string & | spec,
|  | const std::string & | version,
|  | const std::string & | capabilities
| ) |  |

Definition at line 194 of file commandline_full.cpp.

## Member Function Documentation

G::Arg::size_type Main::CommandLineImp::argc | ( |  | ) | const

Definition at line 204 of file commandline_full.cpp.

bool Main::CommandLineImp::contains | ( | const std::string & | switch_ | ) | const

Definition at line 231 of file commandline_full.cpp.

bool Main::CommandLineImp::hasSemanticError | ( | const Configuration & | cfg | ) | const

Definition at line 422 of file commandline_full.cpp.

bool Main::CommandLineImp::hasUsageErrors | ( |  | ) | const

Definition at line 209 of file commandline_full.cpp.

void Main::CommandLineImp::logSemanticWarnings | ( | const Configuration & | cfg | ) | const

Definition at line 436 of file commandline_full.cpp.

References G_WARNING.

std::string Main::CommandLineImp::semanticError | ( | const Configuration & | cfg,
|  | bool & | fatal
| ) |  | const

Definition at line 241 of file commandline_full.cpp.

References Main::Configuration::adminPort(), Main::Configuration::clientSecretsFile(), Main::Configuration::daemon(), Main::Configuration::doAdmin(), Main::Configuration::doPop(), G::Path::isRelative(), Main::Configuration::popPort(), Main::Configuration::popSecretsFile(), Main::Configuration::port(), Main::Configuration::serverSecretsFile(), Main::Configuration::spoolDir(), and Main::Configuration::withTerminate().

void Main::CommandLineImp::showArgcError | ( | bool | error_stream | ) | const

Definition at line 451 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showBanner | ( | bool | error_stream = `false`,
|  | const std::string & | final = `std::string()`
| ) |  | const

Definition at line 522 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showCapabilities | ( | bool | error_stream = `false`,
|  | const std::string & | final = `std::string()`
| ) |  | const

Definition at line 535 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showCopyright | ( | bool | error_stream = `false`,
|  | const std::string & | final = `std::string()`
| ) |  | const

Definition at line 529 of file commandline_full.cpp.

References Main::Legal::copyright(), and Main::Show::s().

void Main::CommandLineImp::showCredit | ( | bool | error_stream = `false`,
|  | const std::string & | final = `std::string()`
| ) |  | const

Definition at line 550 of file commandline_full.cpp.

References GSsl::Library::credit(), and Main::Show::s().

void Main::CommandLineImp::showError | ( | std::string | reason,
|  | bool | error_stream = `true`
| ) |  | const

Definition at line 516 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showExtraHelp | ( | bool | error_stream | ) | const

Definition at line 477 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showHelp | ( | bool | error_stream | ) | const

Definition at line 467 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showNoop | ( | bool | error_stream = `false` | ) | const

Definition at line 510 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showSemanticError | ( | const Configuration & | cfg,
|  | bool | error_stream
| ) |  | const

Definition at line 429 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showShortHelp | ( | bool | error_stream | ) | const

Definition at line 458 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showTestFeatures | ( | bool | error_stream = `false`,
|  | const std::string & | final = `std::string()`
| ) |  | const

Definition at line 556 of file commandline_full.cpp.

References G::Test::enabled(), and Main::Show::s().

void Main::CommandLineImp::showUsage | ( | bool | e | ) | const

Definition at line 214 of file commandline_full.cpp.

References G::GetOpt::introducerDefault(), G::GetOpt::levelDefault(), Main::Show::s(), and G::GetOpt::wrapDefault().

void Main::CommandLineImp::showUsageErrors | ( | bool | error_stream | ) | const

Definition at line 444 of file commandline_full.cpp.

References Main::Show::s().

void Main::CommandLineImp::showVersion | ( | bool | error_stream = `false` | ) | const

Definition at line 562 of file commandline_full.cpp.

void Main::CommandLineImp::showWarranty | ( | bool | error_stream = `false`,
|  | const std::string & | final = `std::string()`
| ) |  | const

Definition at line 544 of file commandline_full.cpp.

References Main::Show::s(), and Main::Legal::warranty().

std::string Main::CommandLineImp::switchSpec | ( | bool | is_windows | ) |
| static

Definition at line 105 of file commandline_full.cpp.

References GSmtp::MessageStore::defaultDirectory(), GPop::Secrets::defaultPath(), G::Path::str(), switchSpec_unix(), and switchSpec_windows().

Referenced by Main::CommandLine::switchSpec().

std::string Main::CommandLineImp::switchSpec_unix | ( |  | ) |
| static

Definition at line 171 of file commandline_full.cpp.

Referenced by switchSpec().

std::string Main::CommandLineImp::switchSpec_windows | ( |  | ) |
| static

Definition at line 182 of file commandline_full.cpp.

Referenced by switchSpec().

std::string Main::CommandLineImp::value | ( | const std::string & | switch_ | ) | const

Definition at line 236 of file commandline_full.cpp.

The documentation for this class was generated from the following file:

- commandline_full.cpp